$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-8c8048f03732ea2b3c977cb4a611556fb8c9c4fd/rpcs3-v0.0.12-10858-8c8048f0_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '74906b2293e190cd5628aa15a2912c46758c8235d9375cebc6128a97d4fc8905'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
